package com.example.depanntout

import android.os.Bundle
import android.util.Log
import android.widget.Button
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.depanntout.bdd.CreateBdDepannTout
import com.example.depanntout.bdd.DAO
import com.example.depanntout.bdd.Intervention
import com.example.depanntout.bdd.InterventionDAO

class ClientDetails : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContentView(R.layout.activity_client_details)
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main)) { v, insets ->
            val systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom)
            insets
        }

        val client: Client = Client(intent.getIntExtra("ID", 0), intent.getStringExtra("FIRSTNAME")!!, intent.getStringExtra("LASTNAME")!!, intent.getStringExtra("MAIL")!!, intent.getStringExtra("TEL")!!, intent.getStringExtra("ADRESSE")!!)

        val recyclerView = findViewById<RecyclerView>(R.id.recyclerViewDetails)
        recyclerView.layoutManager = LinearLayoutManager(this)

        val createBdDepannTout: CreateBdDepannTout = CreateBdDepannTout(this)
        val dao: DAO = DAO(this, createBdDepannTout)
        val interventionDAO : InterventionDAO = InterventionDAO(dao)
        val interventions: List<Intervention> = interventionDAO.getInterventionsOfClient(client)

        val adapter = interventionAdapter(interventions, this)
        recyclerView.adapter = adapter

        val buttonExit = findViewById<Button>(R.id.btnQuitt)
        buttonExit.setOnClickListener() {
            finish()
        }
    }
}